// swift-tools-version: 5.9
import PackageDescription

let package = Package(
    name: "CapacitorPromocode",
    platforms: [.iOS(.v13)],
    products: [
        .library(
            name: "CapacitorPromocode",
            targets: ["PromoCodePlugin"])
    ],
    dependencies: [
        .package(url: "https://github.com/ionic-team/capacitor-swift-pm.git", branch: "main")
    ],
    targets: [
        .target(
            name: "PromoCodePlugin",
            dependencies: [
                .product(name: "Capacitor", package: "capacitor-swift-pm"),
                .product(name: "Cordova", package: "capacitor-swift-pm")
            ],
            path: "ios/Sources/PromoCodePlugin"),
        .testTarget(
            name: "PromoCodePluginTests",
            dependencies: ["PromoCodePlugin"],
            path: "ios/Tests/PromoCodePluginTests")
    ]
)
