import { registerPlugin } from '@capacitor/core';

import type { PromoCodePlugin } from './definitions';

const PromoCode = registerPlugin<PromoCodePlugin>('PromoCode', {
  web: () => import('./web').then((m) => new m.PromoCodeWeb()),
});

export * from './definitions';
export { PromoCode };
